// 
{*******************************************************}
{                                                       }
{                E L E K S   W I Z A R D S              }        
{                                                       }
{        Copyright (C) 1998, 1999 Eleks Software        }
{               Created by Yuri Solodkiy                }
{                  All rights reserved                  }
{                                                       }
{                 http://eleks.txnet.com                }
{                    eleks@fnmail.com                   }
{                                                       }
{*******************************************************}


// $Archive: /H/Gerix/Projects/elWizards/elWizards1.pas $ $Author: Gerix $ $Date: 10/07/96 11:35a $ $Revision: 9 $ $Workfile: elWizards1.pas $

unit elWizards1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, elwizards, elWizardsPage, elWizardsProxy;

type
  TelWizard1 = class(TelWizard)
    Image1: TImage;
    Image2: TImage;
    Bevel1: TBevel;
    Label2: TLabel;
    Label4: TLabel;
    Bevel2: TBevel;
    elWizardPageSecondFinish: TelWizardPage;
    Image5: TImage;
    Label5: TLabel;
    Bevel3: TBevel;
    Label6: TLabel;
    Label7: TLabel;
    RFinish: TRadioButton;
    RContinue: TRadioButton;
    Edit123: TEdit;
    Label8: TLabel;
    Bevel4: TBevel;
    Label9: TLabel;
    Image6: TImage;
    elWizardPageFirstFinish: TelWizardPage;
    elWizardPageDemo: TelWizardPage;
    Label10: TLabel;
    RFirst: TRadioButton;
    RSecond: TRadioButton;
    RThird: TRadioButton;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label3: TLabel;
    Label1: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    WizardStartPage: TelWizardPage;
    function elWizardPageDemoValidate(Page: TelCustomWizardPage;
      var Reason: String): Boolean;
    procedure Button1Click(Sender: TObject);
    procedure Edit123Change(Sender: TObject);
    procedure RFinishClick(Sender: TObject);
    procedure elWizardPageSecondFinishEnter(Sender: TObject);
    procedure RFirstClick(Sender: TObject);
  private
  public
  end;

var
  elWizard1: TelWizard1;

implementation

{$R *.DFM}

function TelWizard1.elWizardPageDemoValidate(Page: TelCustomWizardPage;
  var Reason: String): Boolean;
begin
  inherited;
  Result := Edit123.Text = '123';
end;

procedure TelWizard1.Button1Click(Sender: TObject);
begin
  inherited;
  Validate;
end;

procedure TelWizard1.Edit123Change(Sender: TObject);
begin
  inherited;
  Validate;
end;

procedure TelWizard1.RFinishClick(Sender: TObject);
begin
  inherited;
  if RFinish.Checked then begin
    NextPage := nil; 
  end;
  if RContinue.Checked then begin
    NextPage := elWizardPageSecondFinish;
  end;
end;

procedure TelWizard1.elWizardPageSecondFinishEnter(Sender: TObject);
begin
  inherited;
  { Note! To determine the page we came from we use CurrentPage property, nor BackPage property }
  if CurrentPage = WizardStartPage then begin
    RFirst.Checked := true;
  end else if CurrentPage = elWizardPageDemo then begin
    RSecond.Checked := true;
  end else begin
    RThird.Checked := true;
  end;
end;

procedure TelWizard1.RFirstClick(Sender: TObject);
begin
  inherited;
  { Note! BackPage and NextPage properties refers to old current page }
  if CurrentPage = elWizardPageSecondFinish then begin
    if RFirst.Checked then begin
      BackPage := WizardStartPage;
    end else if RSecond.Checked then begin
      BackPage := elWizardPageDemo;
    end else begin
      BackPage := elWizardPageFirstFinish;
    end;
  end;
end;

end.
 